Page MenuHomePhabricator

Evaluate and Test Limited Deployment of Varnish 4
Closed, ResolvedPublic

Description

This is a (stretch?) goal for Q3 of FY15-16

Key results:

  • Evaluate basics of Varnish 3.x -> 4.x migration for existing functionality
  • Convert at least one cache cluster to Varnish 4.x (probably cache_misc for simplicity)

ETA: EOQ

Dependencies: Ongoing varnish refactoring

Rationale:

  • Reduce tech debt of running our legacy modified Varnish 3.x which is outdated
  • Remove blockers for progress on further edge-layer refactoring and improvements
  • Intended to prepare for a follow-on next-quarter goal to convert all other clusters

Details

Related Gerrit Patches:
operations/puppet : productioncache_maps: remove varnish3 VCL compat
operations/puppet : productioncache_maps: whole cluster to varnish4
operations/puppet : productionUpgrade cp1044 to Varnish 4
operations/puppet : productionganglia-varnish.py: get rid of dangerous characters
operations/puppet : productionganglia-varnish.py: use double quotes in metric description
operations/puppet : productionUse Varnish 4 on cp1043
operations/puppet : productionMove Varnishkafka APT pinning to role definition
operations/puppet/varnishkafka : masterAPT pinning for varnishkafka
operations/debs/varnish4 : debian-wmfPackage new upstream release: 4.1.2-1
operations/puppet : productionapt_preferences for v3/v4 varnish packages
operations/puppet : productionPort Varnish systemd unit file to Varnish 4
operations/debs/varnish4 : debian-wmfdebian/rules: pass --no-start to varnish{log,ncsa}

Event Timeline

BBlack created this task.Jan 5 2016, 2:23 PM
BBlack raised the priority of this task from to Needs Triage.
BBlack updated the task description. (Show Details)
BBlack added a project: Traffic.
BBlack added subscribers: BBlack, mark, faidon.
Restricted Application added a project: Operations. · View Herald TranscriptJan 5 2016, 2:23 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
BBlack added a subscriber: ema.Jan 13 2016, 5:22 PM
ema claimed this task.Jan 21 2016, 10:50 AM
ema set Security to None.

Change 268633 had a related patch set uploaded (by Ema):
debian/rules: pass --no-start to varnish{log,ncsa}

https://gerrit.wikimedia.org/r/268633

Change 268633 merged by Ema:
debian/rules: pass --no-start to varnish{log,ncsa}

https://gerrit.wikimedia.org/r/268633

Change 269664 had a related patch set uploaded (by Ema):
Port Varnish systemd unit file to Varnish 4

https://gerrit.wikimedia.org/r/269664

Change 269664 merged by Ema:
Port Varnish systemd unit file to Varnish 4

https://gerrit.wikimedia.org/r/269664

ema triaged this task as Normal priority.Feb 23 2016, 9:30 AM

Change 279432 had a related patch set uploaded (by Ema):
apt_preferences for v3/v4 varnish packages

https://gerrit.wikimedia.org/r/279432

Change 279432 merged by Ema:
apt_preferences for v3/v4 varnish packages

https://gerrit.wikimedia.org/r/279432

Change 279592 had a related patch set uploaded (by Ema):
Package new upstream release: 4.1.2-1

https://gerrit.wikimedia.org/r/279592

Change 279592 merged by Ema:
Package new upstream release: 4.1.2-1

https://gerrit.wikimedia.org/r/279592

Change 280162 had a related patch set uploaded (by Ema):
APT pinning for varnishkafka

https://gerrit.wikimedia.org/r/280162

Change 280163 had a related patch set uploaded (by Ema):
Varnishkafka APT pinning moved to submodule

https://gerrit.wikimedia.org/r/280163

Change 280162 abandoned by Ema:
APT pinning for varnishkafka

Reason:
As elukey pointed out, this should not be done in the submodule but rather in the role, being a WMF-specific change. See https://gerrit.wikimedia.org/r/#/c/280163/

https://gerrit.wikimedia.org/r/280162

Change 280163 merged by Ema:
Move Varnishkafka APT pinning to role definition

https://gerrit.wikimedia.org/r/280163

ema moved this task from Triage to In Progress on the Traffic board.Mar 29 2016, 4:28 PM

Change 280393 had a related patch set uploaded (by Ema):
Use Varnish 4 on cp1043

https://gerrit.wikimedia.org/r/280393

Mentioned in SAL [2016-03-30T09:07:40Z] <ema> depooling cp1043 for varnish4 upgrade (T122880)

Change 280393 merged by Ema:
Use Varnish 4 on cp1043

https://gerrit.wikimedia.org/r/280393

Change 280412 had a related patch set uploaded (by Ema):
ganglia-varnish.py: use double quotes in metric description

https://gerrit.wikimedia.org/r/280412

Change 280412 merged by Ema:
ganglia-varnish.py: use double quotes in metric description

https://gerrit.wikimedia.org/r/280412

Mentioned in SAL [2016-03-30T12:40:53Z] <ema> repooling cp1043 running varnish4 (T122880)

Change 280646 had a related patch set uploaded (by Ema):
ganglia-varnish.py: get rid of dangerous characters

https://gerrit.wikimedia.org/r/280646

Change 280646 merged by Ema:
ganglia-varnish.py: get rid of dangerous characters

https://gerrit.wikimedia.org/r/280646

Change 280660 had a related patch set uploaded (by Ema):
Upgrade cp1044 to Varnish 4

https://gerrit.wikimedia.org/r/280660

Mentioned in SAL [2016-03-31T13:09:38Z] <ema> depooling cp1044 for varnish 4 upgrade (T122880)

Change 280660 merged by Ema:
Upgrade cp1044 to Varnish 4

https://gerrit.wikimedia.org/r/280660

Mentioned in SAL [2016-03-31T13:27:14Z] <ema> repooling cp1044, upgraded to varnish 4 (T122880)

ema moved this task from In Progress to Done on the Traffic board.Apr 1 2016, 12:25 PM
ema closed this task as Resolved.Apr 4 2016, 12:59 PM

Change 285282 had a related patch set uploaded (by BBlack):
cache_maps: whole cluster to varnish4

https://gerrit.wikimedia.org/r/285282

Change 285282 merged by BBlack:
cache_maps: whole cluster to varnish4

https://gerrit.wikimedia.org/r/285282

Change 302074 had a related patch set uploaded (by Ema):
cache_maps: remove varnish3 VCL compat

https://gerrit.wikimedia.org/r/302074

Change 302074 merged by Ema:
cache_maps: remove varnish3 VCL compat

https://gerrit.wikimedia.org/r/302074